package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.RutaCasetaDAO;
import com.rjconsultores.ventaboletos.entidad.RutaCaseta;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.service.RutaCasetaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("rutaCasetaService")
public class RutaCasetaServiceImpl implements RutaCasetaService{
	
	@Autowired
	private RutaCasetaDAO rutaCasetaDAO;

	@Transactional(rollbackFor = BusinessException.class)
	public RutaCaseta suscribir(RutaCaseta entidad) throws BusinessException {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		entidad = rutaCasetaDAO.suscribir(entidad);
		
		return entidad;
	}
	
	@Transactional(rollbackFor = BusinessException.class)
	public void deletarRutaCasetasFromRutaSecuenciaId(Integer id) throws BusinessException {
		rutaCasetaDAO.deletarRutaCasetasFromRutaSecuenciaId(id);
	}
}
